# 32/64bit spec-file
#
%define name		simpleaudioplayer
%define version		1.10.2
%define release		%mkrel 1

Name:			%{name}
Version:		%{version}
Release:		%{release}
Summary:		Audio Player for KDE 4
URL:			http://kde-apps.org/
Group:	 		Graphical desktop/KDE4
License:		GPL v3
Source:			%{name}-%{version}.tar.xz
#------------------------------------
BuildRequires: kdelibs-devel
BuildRequires: %{_lib}qt4-devel
#------------------------------------
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}


%description
A Music Player for KDE

%prep
%setup -q

%build
%cmake_kde4
export CFLAGS="$RPM_OPT_FLAGS -ffast-math"
%make

%install
%__rm -rf %buildroot
%makeinstall_std -C build

desktop-file-install --vendor="" \
  --remove-category="Application" \
  --remove-category="AudioVideo" \
  --remove-category="Player"\
  --add-category="X-MandrivaLinux-Multimedia-Sound" \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications/kde4 $RPM_BUILD_ROOT%{_datadir}/applications/kde4/*.desktop


%clean
rm -rf ${RPM_BUILD_ROOT}

%files
%defattr(-,root,root,-)
%{_bindir}
%{_datadir}


%changelog
* Sat Feb 01 2014 bb <bb> 1.10.2-1pclos2014
- create package
